#pragma once
#include <glm/glm.hpp>
#include "../Graphics/Primitives/Shader.h"

namespace BarinkEngine {
	struct IdentifierComponent {
		std::string name;
	};

	struct TransformComponent {
		glm::mat4& transform = glm::mat4(1.0f);

	};


	struct CameraComponent {
		glm::mat4& view;

	};

	struct Render3DComponent {
		unsigned int VAO;
		unsigned int IBO;
		unsigned int ElementCount;
		glm::vec3 color;
		Shader shader;
		Render3DComponent()
			: shader(Shader("build/Debug/test.vs", "build/Debug/test.fs") )
		{ 
		}
	};

	struct Render2DComponent {
		glm::vec3 Colour;
		
	};
};